﻿<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="simpleBlog.WebForm1" Title="WindowsBlog.sk" %>
<%@ Import Namespace="Resources"%>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:PlaceHolder ID="noItems" runat="server">
        <p>
            <%= Resources.Default.NoPosts %>.</p>
    </asp:PlaceHolder>
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <asp:DataList ID="DataList1" runat="server" DataKeyField="id" DataSourceID="SqlDataSource2"
        OnItemDataBound="DataList1_ItemDataBound">
        <ItemTemplate>
        
        	<div class="post">
						<h2 class="title"><a href="article/<%# Eval("alias") %>.aspx">
                                <%# Eval("title") %></a></h2>
						<p class="meta"><span class="date"><%# Eval("inserted") %></span><span class="posted"><%= Resources.Default.PostedBy %> <asp:HyperLink ID="authorLink" runat="server"><%# Eval("id_author") %></asp:HyperLink></span></p>
						<div style="clear: both;">&nbsp;</div>
						<div class="entry">
							<%# Eval("perex") %>
							<div style="clear: both;">&nbsp;</div>
							<p class="links"><a href="article/<%# Eval("alias") %>.aspx"><%= Resources.Default.ReadMore %></a>&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;<a href="article/<%# Eval("alias") %>.aspx#comments_start"><%= Resources.Default.Comments %></a> (<%# Eval("com_num") %></a>)</p>
						
						<div class="rank_new">
                            <div class="padded_r">
                                <%= Resources.Default.Rating %>:</div>
                            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Always">
                                <ContentTemplate>
                                    <cc1:Rating ID="Rating1" runat="server" MaxRating="5" CurrentRating="2" CssClass="ratingStar"
                                        StarCssClass="ratingItem" WaitingStarCssClass="Saved" FilledStarCssClass="Filled"
                                        EmptyStarCssClass="Empty" EnableViewState="True" AutoPostBack="True" Tag='<%# Eval("id_author") %>'
                                        OnChanged="Rating1_Changed">
                                    </cc1:Rating>
                                    <div class="padded_l">
                                        <asp:Label ID="ratingVotes" runat="server" Text=""></asp:Label>
                                        <asp:Label ID="hlasovLabel" runat="server" Text="<%$ Resources: Default, Vote %>"></asp:Label></div>
                                </ContentTemplate>
                                <Triggers>
                                    <asp:AsyncPostBackTrigger ControlID="Rating1" />
                                </Triggers>
                            </asp:UpdatePanel>
                        </div>
						
						</div>
						
						
						
					</div>
					
					      
        
          
        </ItemTemplate>
    </asp:DataList>
    <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        SelectCommand="SELECT posts.hardcore, posts.subtile, posts.id_author, posts.inserted,posts.alias, posts.id, posts.title, posts.id_category,posts.perex, categories.title AS kategoria, (SELECT COUNT(*) FROM comments WHERE id_post = posts.id) as com_num FROM categories INNER JOIN posts ON categories.id = posts.id_category">
    </asp:SqlDataSource>
    <div style="float: left; width: 100px;">
        <asp:HyperLink ID="newerLink" runat="server" Visible="False" CssClass="green"><%= Resources.Default.NewerPosts %></asp:HyperLink></div>
    <div style="float: right; width: 100px;">
        <asp:HyperLink ID="olderLink" runat="server" Visible="False" CssClass="green"><%= Resources.Default.OlderPosts %></asp:HyperLink></div>
</asp:Content>
