﻿<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="ArticlesAdd.aspx.cs" Inherits="simpleBlog.Admin.WebForm5" Title="Pridať článok"
    ValidateRequest="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <asp:Label ID="Label1" runat="server" Text="<%$ Resources: Default, AddPost %>"></asp:Label></h2>

    <script type="text/javascript" src="lib/tiny_mce/tiny_mce.js"></script>

    <script language="javascript" type="text/javascript">
<!--
  lang = 'sk';

  tinyMCE.init({


            mode : "textareas",

      language : "sk",
      theme : "advanced",
      plugins : "advimage,table",
      relative_urls : false,

      button_tile_map:          true,
      verify_html:              false,
            accessibility_focus:      false,
      hide_selects_on_submit:   true,
      apply_source_formatting : true,
      cleanup_on_startup : false,

      
      plugins:                  "style,advlink,paste,nonbreaking,searchreplace,advimage,table,contextmenu",

      external_image_list_url : "/listImages.aspx",

      theme_advanced_toolbar_location : "top",
      theme_advanced_toolbar_align : "left",
      theme_advanced_blockformats:      "h3,h4,h5,h6,p,pre",

      theme_advanced_buttons1:  "bold,italic,underline,strikethrough,sub,sup,separator,justifyleft,justifycenter,justifyright,justifyfull,separator,bullist,numlist,outdent,indent,separator,forecolor,backcolor",
      theme_advanced_buttons2:  "pastetext,pasteword,selectall,separator,undo,redo,separator,search,replace,separator,link,unlink,anchor,separator,removeformat,cleanup,code,charmap,nonbreaking,separator,image",
      theme_advanced_buttons3:  "formatselect,separator,tablecontrols",


      extended_valid_elements : "font[face|size|color|style]"
  });

    



  //-->
    </script>

    <asp:SqlDataSource ID="SqlDataSourceT" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        SelectCommand="SELECT * FROM [tags] ORDER BY [title]"></asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        DeleteCommand="DELETE FROM [posts] WHERE [id] = @id" InsertCommand="INSERT INTO [posts] ([id_category], [title], [alias], [text], [id_author], [subtitle], [inserted], [perex], [active], [hardcore], [lifestyle]) VALUES (@id_category, @title, @alias, @text, @id_author, @subtitle, @inserted, @perex, @active, @hardcore, @lifestyle); SELECT @id = @@IDENTITY"
        SelectCommand="SELECT * FROM [posts]" UpdateCommand="UPDATE [posts] SET [id_category] = @id_category, [title] = @title, [alias] = @alias, [text] = @text, [id_author] = @id_author, [inserted] = @inserted, [subtitle] = @subtitle, [perex] = @perex, [active] = @active, [hardcore] = @hardcore, [lifestyle] = @lifestyle WHERE [id] = @id"
        OnInserted="SqlDataSource1_Inserted">
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="id_category" Type="Int32" />
            <asp:Parameter Name="hardcore" Type="Int32" DefaultValue="0" />
            <asp:Parameter Name="lifestyle" Type="Int32" DefaultValue="0" />
            <asp:Parameter Name="active" Type="Int32" />
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="subtitle" Type="String" DefaultValue="" />
            <asp:Parameter Name="alias" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="id_author" Type="String" />
            <asp:Parameter Name="perex" Type="String" />
            <asp:Parameter Name="inserted" Type="DateTime" />
            <asp:Parameter Name="id" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="id_category" Type="Int32" />
            <asp:Parameter Name="active" Type="Int32" />
            <asp:Parameter Name="lifestyle" Type="Int32" DefaultValue="0" />
            <asp:Parameter Name="hardcore" Type="Int32" DefaultValue="0" />
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="subtitle" Type="String" DefaultValue="" />
            <asp:Parameter Name="alias" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="id_author" Type="String" />
            <asp:Parameter Name="inserted" Type="DateTime" />
            <asp:Parameter Direction="Output" Name="id" Type="Int32" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        SelectCommand="SELECT * FROM [categories] ORDER BY [title]"></asp:SqlDataSource>
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="id" DataSourceID="SqlDataSource1"
        DefaultMode="Insert" OnItemUpdated="redirect" OnItemUpdating="FormView1_ItemUpdating"
        OnItemInserting="FormView1_ItemInserting">
        <EditItemTemplate>
            <%= Resources.Default.TitleLabel %>:&nbsp;<asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server"
                ControlToValidate="titleTextBox" ErrorMessage="<%$ Resources: Default, Required %>"></asp:RequiredFieldValidator>
            <br />
            <asp:TextBox ID="titleTextBox" runat="server" Text='<%# Bind("title") %>' OnTextChanged="titleTextBox_TextChanged"
                Width="200px" />
            <span style="display: none">
                <asp:TextBox ID="aliasTextBox" runat="server" Text='<%# Bind("alias") %>' /></span>
            <br />
            <br />
            
             <%= Resources.Default.Category %>:&nbsp;<asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server"
                ErrorMessage="<%$ Resources: Default, Required %>" ControlToValidate="DropDownList2"></asp:RequiredFieldValidator>
            <br />
            <asp:DropDownList ID="DropDownList2" runat="server" DataSourceID="SqlDataSource2"
                DataTextField="title" DataValueField="id" SelectedValue='<%# Bind("id_category", "{0:D}") %>'>
            </asp:DropDownList>
            <br />
            <br />
             <%= Resources.Default.Published %>:
            <asp:DropDownList ID="DropDownList1" runat="server" SelectedValue='<%# Bind("active") %>'>
                <asp:ListItem Value="1"  Text="<%$ Resources: Default,Yes %>"> </asp:ListItem>
                <asp:ListItem Value="0"  Text="<%$ Resources: Default,No %>"> </asp:ListItem>
            </asp:DropDownList>
            <br />
            <br />
           
             <%= Resources.Default.Date %>:
            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ErrorMessage="<%$ Resources: Default, BadFormat %>"
                ValidationExpression="([0-9]){2}\.( )*([0-9]){2}\.( )*([0-9]){4}" ControlToValidate="insertedBox"></asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="<%$ Resources: Default, Required %>"
                ControlToValidate="insertedBox"></asp:RequiredFieldValidator>
            <br />
            <asp:TextBox ID="insertedBox" runat="server" Text='<%# Bind("inserted", "{0:dd.MM.yyyy}") %>'></asp:TextBox>
            <asp:ImageButton runat="Server" ID="Image1" ImageUrl="~/gfx/Calendar_scheduleHS.png"
                AlternateText="<%$ Resources: Default, ShowCalendar %>" /><br />
            <ajaxToolkit:CalendarExtender ID="calendarButtonExtender" runat="server" TargetControlID="insertedBox"
                PopupButtonID="Image1" Format="dd.MM.yyyy" />
            <br />
            &nbsp;<br />
             <%= Resources.Default.Perex %>:
            <br />
            <asp:TextBox ID="perexTextBox" runat="server" Text='<%# Bind("perex") %>' TextMode="MultiLine" />
            <br />
            <br />
            &nbsp;<br />
             <%= Resources.Default.Text %>:&nbsp;<br />
            <asp:TextBox ID="textTextBox" runat="server" Text='<%# Bind("text") %>' TextMode="MultiLine" />
            <br />
            <br />
             <%= Resources.Default.Tags %>:
            <br />
            <br />
            <asp:GridView ID="GridView1" runat="server" AllowSorting="True" AutoGenerateColumns="False"
                DataKeyNames="id" DataSourceID="SqlDataSourceT" CellPadding="4" ForeColor="#333333"
                GridLines="None" OnDataBound="GridView1_DataBound" ShowHeader="False">
                <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                <Columns>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:CheckBox ID="tagChecked" runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:HiddenField ID="idTag" Value='<%# Eval("id") %>' runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="title" HeaderText="<%$ Resources: Default, TitleLabel %>" SortExpression="title">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Width="200px" />
                    </asp:BoundField>
                </Columns>
                <PagerStyle BackColor="#000000" ForeColor="White" HorizontalAlign="Center" />
                <HeaderStyle BackColor="#000000" Font-Bold="True" ForeColor="White" />
            </asp:GridView>
            <br />
            <br />
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                Text="Uložiť" Visible="false" />
            <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="true" CommandName="Update"
                ImageUrl="~/gfx/publikovat.jpg" />
            &nbsp; <span style="display: none">
                <asp:TextBox ID="authorBox" runat="server" Text='<%# Bind("id_author") %>'></asp:TextBox></span>
        </EditItemTemplate>
        <InsertItemTemplate>
             <%= Resources.Default.TitleLabel %>:&nbsp;<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server"
                ControlToValidate="titleTextBox" ErrorMessage="<%$ Resources: Default, Required %>"></asp:RequiredFieldValidator>
            <br />
            <asp:TextBox ID="titleTextBox" runat="server" Text='<%# Bind("title") %>' Width="200px"
                OnTextChanged="titleTextBox_TextChanged" />
            <span style="display: none">
                <asp:TextBox ID="aliasTextBox" runat="server" Text='<%# Bind("alias") %>' /></span>
            <br />
            <br />
            
             <%= Resources.Default.Category %>:<asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server"
                ControlToValidate="DropDownList1" ErrorMessage="<%$ Resources: Default, Required %>"></asp:RequiredFieldValidator>
            <br />
            <asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="SqlDataSource2"
                DataTextField="title" DataValueField="id" SelectedValue='<%# Bind("id_category", "{0:D}") %>'>
            </asp:DropDownList>
            <br />
            &nbsp;<br />
             <%= Resources.Default.Published %>:
            <asp:DropDownList ID="DropDownList3" runat="server" SelectedValue='<%# Bind("active") %>'>
                <asp:ListItem Value="1" Text="<%$ Resources: Default,Yes %>" > </asp:ListItem>
                <asp:ListItem Value="0" Text="<%$ Resources: Default,No %>"></asp:ListItem>
            </asp:DropDownList>
            <br />
            <br />
            
             <%= Resources.Default.Date %>:
            <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ErrorMessage="<%$ Resources: Default, BadFormat %>"
                ControlToValidate="insertedBox" ValidationExpression="([0-9]){2}\.( )*([0-9]){2}\.( )*([0-9]){4}"></asp:RegularExpressionValidator>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="<%$ Resources: Default, Required %>"
                ControlToValidate="insertedBox"></asp:RequiredFieldValidator><br />
            <asp:TextBox ID="insertedBox" runat="server" Text='<%# Bind("inserted", "{0:dd.MM.yyyy}") %>'></asp:TextBox>
            <asp:ImageButton runat="Server" ID="Image1" ImageUrl="~/gfx/Calendar_scheduleHS.png"
                AlternateText="<%$ Resources: Default, ShowCalendar %>" /><br />
            <ajaxToolkit:CalendarExtender ID="calendarButtonExtender" runat="server" TargetControlID="insertedBox"
                PopupButtonID="Image1" Format="dd.MM.yyyy" />
            <br />
            &nbsp;<br />
             <%= Resources.Default.Perex %>:
            <br />
            <asp:TextBox ID="perexTextBox" runat="server" Text='<%# Bind("perex") %>' TextMode="MultiLine" />
            <br />
            &nbsp;<br />
             <%= Resources.Default.Text %>:
            <br />
            <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("text") %>' TextMode="MultiLine" />
            <br />
            <br />
             <%= Resources.Default.Tags %>:
            <br />
            <br />
            <asp:GridView ID="GridView1" runat="server" AllowSorting="True" AutoGenerateColumns="False"
                DataKeyNames="id" DataSourceID="SqlDataSourceT" CellPadding="4" ForeColor="#333333"
                GridLines="None" OnDataBound="GridView1_DataBound" ShowHeader="False">
                <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                <Columns>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:CheckBox ID="tagChecked" runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:HiddenField ID="idTag" Value='<%# Eval("id") %>' runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="title" HeaderText="<%$ Resources: Default, TitleLabel %>" SortExpression="title">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Width="200px" />
                    </asp:BoundField>
                </Columns>
                <PagerStyle BackColor="#000000" ForeColor="White" HorizontalAlign="Center" />
                <HeaderStyle BackColor="#000000" Font-Bold="True" ForeColor="White" />
            </asp:GridView>
            <br />
            <br />
            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                Text="Vložiť" Visible="false" />
            <asp:ImageButton ID="ImageButton2" runat="server" CausesValidation="true" CommandName="Insert"
                ImageUrl="~/gfx/publikovat.jpg" />
            &nbsp; <span style="display: none">
                <asp:TextBox ID="authorBox" runat="server" Text='<%# Bind("id_author") %>'></asp:TextBox></span>
        </InsertItemTemplate>
        <ItemTemplate>
            id:
        </ItemTemplate>
    </asp:FormView>
    <ajaxToolkit:ToolkitScriptManager runat="Server" EnableScriptGlobalization="true"
        EnableScriptLocalization="true" ID="ScriptManager1" />
</asp:Content>
